!-------------------------------------------------
!interface module of intlib
!-------------------------------------------------
module intlib
  use dcl_common
  contains

    function DclIntLT(value)           !valueより小さい最大の整数を求める
      real, intent(in) :: value        !調べる実数値
      integer          :: DclIntLT     !valueより小さい最大の整数関数値
      DclIntLT = irlt(value) 
    end function
      
    function DclIntLE(value)           !value以下の最大の整数を求める
      real, intent(in) :: value        !調べる実数値
      integer          :: DclIntLE     !value以下の最大の整数関数値
      DclIntLE = irle(value)  
    end function
      
    function DclIntGT(value)           !valueより大きい最小の整数を求める
      real, intent(in) :: value        !調べる実数値
      integer          :: DclIntGT     !valueより大きい最大の整数関数値
      DclIntGT = irgt(value) 
    end function
      
    function DclIntGE(value)           !value以上の最小の整数を求める
      real, intent(in) :: value        !調べる実数値
      integer          :: DclIntGE     !value以上の最大の整数関数値
      DclIntGE = irge(value) 
    end function

end module
